# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     zend-cache
%define composer_name   zend-cache
%define composer_vendor zendframework
%define library         Cache

%global php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        2.7.1
Release:        %mkrel 1
Summary:        Zend Framework %{library} component
Group:          Development/PHP
License:        BSD
URL:            https://zendframework.zend.com
Source0:        https://github.com/zendframework/zend-cache/archive/%{github_name}-release-%{version}.tar.gz
BuildArch:      noarch

# From composer, "require": {
#        "php": "^5.5 || ^7.0",
#        "zendframework/zend-stdlib": "^2.7 || ^3.0",
#        "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3",
#        "zendframework/zend-eventmanager": "^2.6.2 || ^3.0"
Requires:       php >= 5.5
Requires:       php-composer(%{composer_vendor}/zend-stdlib)           >= 2.7
Requires:       php-composer(%{composer_vendor}/zend-servicemanager)   >= 2.7.5
Requires:       php-composer(%{composer_vendor}/zend-eventmanager)     >= 2.6.2
# From composer, "suggest": {
#        "zendframework/zend-serializer": "Zend\\Serializer component",
#        "zendframework/zend-session": "Zend\\Session component",
#        "ext-apcu": "APCU, to use the APC storage adapter",
#        "ext-apc": "APC or compatible extension, to use the APC storage adapter",
#        "ext-apcu": "APCU >= 5.1.0, to use the APCu storage adapter",
#        "ext-dba": "DBA, to use the DBA storage adapter",
#        "ext-memcache": "Memcache >= 2.0.0 to use the Memcache storage adapter",
#        "ext-memcached": "Memcached >= 1.0.0 to use the Memcached storage adapter",
#        "ext-mongo": "Mongo, to use MongoDb storage adapter",
#        "ext-redis": "Redis, to use Redis storage adapter",
#        "ext-wincache": "WinCache, to use the WinCache storage adapter",
#        "ext-xcache": "XCache, to use the XCache storage adapter",
#        "mongofill/mongofill": "Alternative to ext-mongo - a pure PHP implementation designed as a drop in replacement"
Suggests:       php-composer(%{composer_vendor}/zend-serializer)
Suggests:       php-composer(%{composer_vendor}/zend-session)
Suggests:       php-pecl(apcu)
Suggests:       php-dba
Suggests:       php-pecl(memcache)
Suggests:       php-pecl(memcached)
Suggests:       php-pecl(mongo)
Suggests:       php-pecl(redis)
Suggests:       php-xcache
# From phpcompatinfo report for version 2.5.2
Requires:       php-pcre

Obsoletes:      php-ZendFramework2-%{library}           < 2.5
Obsoletes:      php-ZendFramework2-%{library}-apc       < 2.5
Obsoletes:      php-ZendFramework2-%{library}-memcached < 2.5
Provides:       php-ZendFramework2-%{library}           = %{version}
Provides:       php-ZendFramework2-%{library}-apc       = %{version}
Provides:       php-ZendFramework2-%{library}-memcached = %{version}
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
Zend\Cache provides a general cache system for PHP.
The Zend\Cache component is able to cache different patterns
(class, object, output, etc) using different storage adapters
(DB, File, Memcache, etc).

Documentation: https://zendframework.github.io/zend-cache


%prep
%setup -q -n %{github_name}-release-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/Zend/
cp -pr src %{buildroot}%{php_libdir}/Zend/%{library}

%files
%doc *.md
%doc composer.json
%{php_libdir}/Zend/%{library}


%changelog
* Sun May 07 2017 guillomovitch <guillomovitch> 2.7.1-1.mga6
+ Revision: 1099490
- imported package php-zendframework-zend-cache

